Subject: Re: bug in quatfit???

From: "Dr. Jan K Labanowski" <jkl|at|ccl.net>
Date: Fri, 8 Aug 2003 14:11:35 -0400 (EDT)

Dear CCL...

Martin Lema was kind to forward me the bug report on quatfit.c
Since there was a lot of talk on superimposing molecules, then
I'd rather post it to CCL. I corrected it in the CCL archives.
( http://www.ccl.net/cca/software/SOURCES/C/quaternion-mol-fit ).

Thank you Martin for finding this bug and letting me know. 

This was an unfortunate typo. It did not affect the results
when statistical weights where not given or equal to 1 (which
hopefully was the case for most of the calculations).

I am sorry for breaking this news, but better later than never.

Jan Labanowski
jkl|at|ccl.net

On Fri, 8 Aug 2003, [iso-8859-1] Martmn Lema wrote:

> Date: Fri, 08 Aug 2003 11:53:06 -0300
> From: "[iso-8859-1] Martmn Lema" <mlema|at|unq.edu.ar>
> To: jkl|at|ccl.net
> Subject: bug in quatfit???
> 
> Dear Mr. Labanowski:
> 
> 	I 4ve been using quatfit for a while, and I am not sure if there is a bug 
> in the programm. To be specific, I think that in line 913 of quatfit.c:
> 
> wnorm += s;
> 
> It should be:
> 
> wnorm += s*s;
> 
> I send you some files to check this.
  .... details deleted ...
> I also send you q2.c, the original quatfit.c file modified so line 913 is 
> wnorm += s*s. With this change in the source code, the programm behaves as 
> ( at least I ) expected.
> 
> I beg you to let me know if I am wrong in some way.
> 
> Sincerely
> 
> Martin

Jan K. Labanowski         |  phone: 614-292-9279,  FAX: 614-292-7168
Ohio Supercomputer Center |  E-mail: jkl|at|ccl.net 
1224 Kinnear Rd,          |  http://www.ccl.net/~jkl
Columbus, OH 43212-1163   |  http://www.ccl.net/    http://asdn.net/